Log in New API Help About

grep "libcrypt\.so" /var/db/pkg/*/*/NEEDED.ELF.2;

5.6 KB of Plain text
Created 2 months, 1 week ago — expires in 294 days
https://dpaste.com/A5G4NVEE7
COPY TO CLIPBOARD SOFT WRAP RAW TEXT DUPLICATE DIFF
$ grep "libcrypt\.so" /var/db/pkg/*/*/NEEDED.ELF.2
/var/db/pkg/app-misc/screen-4.8.0-r3/NEEDED.ELF.2:X86_64;/usr/bin/screen-4.8.0;;;libtinfow.so.6,libcrypt.so.2,libpam.so.0,libc.so.6;x86_64
/var/db/pkg/dev-db/mariadb-10.5.12/NEEDED.ELF.2:X86_64;/usr/sbin/mariadbd;;;libpcre2-8.so.0,libcrypt.so.2,liblzma.so.5,libbz2.so.1,libaio.so.1,libz.so.1,libbfd-2.37.gentoo-sys-libs-binutils-libs-st-def.so,libssl.so.1.1,libcrypto.so.1.1,libdl.so.2,libstdc++.so.6,libm.so.6,libgcc_s.so.1,libpthread.so.0,libc.so.6,ld-linux-x86-64.so.2;x86_64
/var/db/pkg/dev-db/mariadb-10.5.12/NEEDED.ELF.2:X86_64;/usr/bin/mariadb-backup;;;libpcre2-8.so.0,libcrypt.so.2,liblzma.so.5,libbz2.so.1,libaio.so.1,libz.so.1,libbfd-2.37.gentoo-sys-libs-binutils-libs-st-def.so,libssl.so.1.1,libcrypto.so.1.1,libdl.so.2,libstdc++.so.6,libm.so.6,libgcc_s.so.1,libpthread.so.0,libc.so.6,ld-linux-x86-64.so.2;x86_64
/var/db/pkg/dev-lang/perl-5.34.0-r2/NEEDED.ELF.2:X86_64;/usr/lib64/libperl.so.5.34.0;libperl.so.5.34;;libdl.so.2,libm.so.6,libcrypt.so.2,libc.so.6;x86_64
/var/db/pkg/dev-lang/python-2.7.18_p13/NEEDED.ELF.2:X86_64;/usr/lib64/python2.7/lib-dynload/crypt.so;crypt.so;;libcrypt.so.2,libpython2.7.so.1.0,libc.so.6;x86_64
/var/db/pkg/dev-lang/python-3.10.0_rc2/NEEDED.ELF.2:X86_64;/usr/lib/python3.10/lib-dynload/_crypt.cpython-310-x86_64-linux-gnu.so;_crypt.cpython-310-x86_64-linux-gnu.so;;libcrypt.so.2,libpthread.so.0,libc.so.6;x86_64
/var/db/pkg/dev-lang/python-3.7.12/NEEDED.ELF.2:X86_64;/usr/lib/python3.7/lib-dynload/_crypt.cpython-37m-x86_64-linux-gnu.so;_crypt.cpython-37m-x86_64-linux-gnu.so;;libcrypt.so.2,libpython3.7m.so.1.0,libc.so.6;x86_64
/var/db/pkg/dev-lang/python-3.8.12/NEEDED.ELF.2:X86_64;/usr/lib/python3.8/lib-dynload/_crypt.cpython-38-x86_64-linux-gnu.so;_crypt.cpython-38-x86_64-linux-gnu.so;;libcrypt.so.2,libpthread.so.0,libc.so.6;x86_64
/var/db/pkg/dev-lang/python-3.9.7/NEEDED.ELF.2:X86_64;/usr/lib/python3.9/lib-dynload/_crypt.cpython-39-x86_64-linux-gnu.so;_crypt.cpython-39-x86_64-linux-gnu.so;;libcrypt.so.2,libpthread.so.0,libc.so.6;x86_64
/var/db/pkg/dev-lang/ruby-2.6.8/NEEDED.ELF.2:X86_64;/usr/lib64/libruby26.so.2.6.8;libruby26.so.2.6;;libz.so.1,libpthread.so.0,librt.so.1,libgmp.so.10,libdl.so.2,libcrypt.so.2,libm.so.6,libc.so.6,ld-linux-x86-64.so.2;x86_64
/var/db/pkg/dev-lang/ruby-2.7.4/NEEDED.ELF.2:X86_64;/usr/lib64/libruby27.so.2.7.4;libruby27.so.2.7;;libz.so.1,libpthread.so.0,librt.so.1,libgmp.so.10,libdl.so.2,libcrypt.so.2,libm.so.6,libc.so.6,ld-linux-x86-64.so.2;x86_64
/var/db/pkg/dev-lang/ruby-3.0.2/NEEDED.ELF.2:X86_64;/usr/lib64/libruby30.so.3.0.2;libruby30.so.3.0;;libz.so.1,libpthread.so.0,librt.so.1,libgmp.so.10,libdl.so.2,libcrypt.so.2,libm.so.6,libc.so.6,ld-linux-x86-64.so.2;x86_64
/var/db/pkg/net-dialup/ppp-2.4.9-r5/NEEDED.ELF.2:X86_64;/usr/sbin/pppd;;;libssl.so.1.1,libcrypt.so.2,libcrypto.so.1.1,libpam.so.0,libdl.so.2,libc.so.6;x86_64
/var/db/pkg/net-misc/openssh-8.7_p1-r1/NEEDED.ELF.2:X86_64;/usr/sbin/sshd;;;libpam.so.0,libcrypto.so.1.1,libutil.so.1,libz.so.1,libcrypt.so.2,libc.so.6;x86_64
/var/db/pkg/net-misc/whois-5.5.10-r1/NEEDED.ELF.2:X86_64;/usr/bin/mkpasswd;;;libcrypt.so.2,libc.so.6;x86_64
/var/db/pkg/sys-apps/shadow-4.9-r2/NEEDED.ELF.2:X86_64;/usr/lib64/libsubid.so.3.0.0;libsubid.so.3;;libcrypt.so.2,libacl.so.1,libattr.so.1,libpam.so.0,libpam_misc.so.0,libdl.so.2,libc.so.6;x86_64
/var/db/pkg/sys-apps/shadow-4.9-r2/NEEDED.ELF.2:X86_64;/usr/sbin/chgpasswd;;;libcrypt.so.2,libc.so.6;x86_64
/var/db/pkg/sys-apps/shadow-4.9-r2/NEEDED.ELF.2:X86_64;/usr/sbin/chpasswd;;;libpam.so.0,libcrypt.so.2,libc.so.6;x86_64
/var/db/pkg/sys-apps/shadow-4.9-r2/NEEDED.ELF.2:X86_64;/usr/bin/gpasswd;;;libcrypt.so.2,libc.so.6;x86_64
/var/db/pkg/sys-apps/shadow-4.9-r2/NEEDED.ELF.2:X86_64;/usr/bin/newgrp;;;libcrypt.so.2,libc.so.6;x86_64
/var/db/pkg/sys-apps/util-linux-2.37.2-r1/NEEDED.ELF.2:X86_64;/sbin/sulogin;;;libcrypt.so.2,libc.so.6;x86_64
/var/db/pkg/sys-auth/passwdqc-2.0.2-r1/NEEDED.ELF.2:X86_64;/lib64/security/pam_passwdqc.so;pam_passwdqc.so;;libpam.so.0,libcrypt.so.2,libpasswdqc.so.1,libc.so.6;x86_64
/var/db/pkg/sys-libs/libxcrypt-4.4.25/NEEDED.ELF.2:386;/lib/libcrypt.so.1.1.0;libcrypt.so.1;;libc.so.6;x86_32
/var/db/pkg/sys-libs/libxcrypt-4.4.25/NEEDED.ELF.2:386;/lib/libcrypt.so.2.0.0;libcrypt.so.2;;libc.so.6;x86_32
/var/db/pkg/sys-libs/libxcrypt-4.4.25/NEEDED.ELF.2:X86_64;/lib64/libcrypt.so.1.1.0;libcrypt.so.1;;libc.so.6;x86_64
/var/db/pkg/sys-libs/libxcrypt-4.4.25/NEEDED.ELF.2:X86_64;/lib64/libcrypt.so.2.0.0;libcrypt.so.2;;libc.so.6;x86_64
/var/db/pkg/sys-libs/pam-1.5.2/NEEDED.ELF.2:386;/lib/security/pam_pwhistory.so;pam_pwhistory.so;;libpam.so.0,libcrypt.so.2,libc.so.6;x86_32
/var/db/pkg/sys-libs/pam-1.5.2/NEEDED.ELF.2:386;/lib/security/pam_unix.so;pam_unix.so;;libpam.so.0,libcrypt.so.2,libc.so.6;x86_32
/var/db/pkg/sys-libs/pam-1.5.2/NEEDED.ELF.2:X86_64;/lib64/security/pam_pwhistory.so;pam_pwhistory.so;;libpam.so.0,libcrypt.so.2,libc.so.6;x86_64
/var/db/pkg/sys-libs/pam-1.5.2/NEEDED.ELF.2:X86_64;/lib64/security/pam_unix.so;pam_unix.so;;libpam.so.0,libcrypt.so.2,libc.so.6;x86_64
/var/db/pkg/sys-libs/pam-1.5.2/NEEDED.ELF.2:X86_64;/sbin/unix_chkpwd;;;libcrypt.so.2,libc.so.6;x86_64
/var/db/pkg/sys-libs/pam-1.5.2/NEEDED.ELF.2:X86_64;/sbin/unix_update;;;libcrypt.so.2,libc.so.6;x86_64
/var/db/pkg/sys-libs/pam-1.5.2/NEEDED.ELF.2:X86_64;/sbin/pwhistory_helper;;;libcrypt.so.2,libc.so.6;x86_64
/var/db/pkg/www-servers/nginx-1.21.2/NEEDED.ELF.2:X86_64;/usr/sbin/nginx;;;libdl.so.2,libpthread.so.0,libcrypt.so.2,libpcre.so.1,libssl.so.1.1,libcrypto.so.1.1,libz.so.1,libc.so.6;x86_64
/var/db/pkg/x11-misc/xscreensaver-6.01-r3/NEEDED.ELF.2:X86_64;/usr/lib64/misc/xscreensaver/xscreensaver-auth;;;libXft.so.2,libXi.so.6,libXinerama.so.1,libXrandr.so.2,libXt.so.6,libX11.so.6,libcrypt.so.2,libc.so.6;x86_64

Share: